Structure of the Start-Up Data

The parameters of the start-up list contain application-specific data and/or references to files that are required for starting up the NC kernel. This ASCII file permits the number of axes, the number of channels, and the paths in which the additionally specified ASCII files can be found to be specified.

Value ranges of parameters may be defined by specifying a boundary that results from the data width, such as MAX(UNS16) etc.


Syntax and interpretation of the Start-Up Data ASCII File

The start-up data is defined in an ASCII-file, interpreted by an ASCII interpreter, and stored in the appropriate structures.

After that, plausibility tests are carried out for the start-up data.

This document defines the contents and the syntax of the ASCII files (e.g. "hochlauf.lis") as well as the elements of the start-up data.

For start-up data of data type BOOLEAN, the following agreement is used:

Value | Significance
0 | Definition of FALSE
1 | Definition of TRUE


Comments in the ASCII File

Comments can be whole-lined or can be added at the end of a line.

In the case of whole-lined comments, at the beginning of the line the comment character # must be added, followed by a space character.

If a comment is to be added at the end of a line, there must be at least one space character in front of the comment. If, however, a string is defined in the line, the comment character ( must precede the comment.

Blank lines are also possible.

Example:

# ************************************************************************

# Data

# ************************************************************************

#

# Listing

dummy[1] 1 Comment

dummy[2] 1 # Comment

dummy[3] 1 ( Comment

dummy[4] 1 /* Comment

...

...

example[0].name STRING_2 (Comment, here comment brackets are required !)


Description of the elements

The TwinCAT system manager automatically enters and/or modifies various parameters. Any manual modification will be overwritten when the configuration is activated.

The parameters that are changed automatically are marked.

More:

button Number of configured channels (P-STUP-00001)

button SERCOS start-up (P-STUP-00002)

button Number of SERCOS rings (P-STUP-00003)

button SERCOS baud rate (P-STUP-00004)

button SERCOS time slot calculation (P-STUP-00005)

button SERCOS-AT time slot calculation (P-STUP-00006)

button SERCOS master light intensity (P-STUP-00039)

button Selected topology (P-STUP-00007)

button List type (P-STUP-00008)

button Name of the list file for the channel parameters (P-STUP-00009)

button Name of the list file for the tool data (P-STUP-00010)

button Name of the list file for the zero point data (P-STUP-00011)

button Name of the list files for the clamp position offset data (P-STUP-00012)

button Name of the list file for the manual operation parameters (P-STUP-00013)

button Number of axis machine data records (P-STUP-00014)

button Name of the list file for the axis parameters (P-STUP-00015)

button Number of offset value lists (P-STUP-00016)

button Name of the list files for the offset values (P-STUP-00017)

button NC program paths (pfad[i].*)

button HMI objects (hmi[i].*)

button Parameters for the BF channel (channel[i].*)

button PLC mode (P-STUP-00032)

button Memory size for reversing (P-STUP-00033)

button Memory size for external variables (P-STUP-00037)

button Name of the list file for the external variables (P-STUP-00038)

button Version identifier of visualization data (P-STUP-00039)

button Global / channel specific reporting of display data (P-STUP-00040)

button Parameter for configuration (configuration.*)


Number of configured channels (P-STUP-00001)

Application-related definition of the number of NC channels. The number specified in this parameter must correspond to the configured channels.

This parameter tells the system flow control the number of NC channels. The topology description, which is compiled in the form of binary lists, must correspond to this data item.

Variable name | Type | Valid range | Dimension
kanal_anzahl | SGN16 | 1 - 12 | ----

TwinCAT: Automatic entry!


SERCOS start-up (P-STUP-00002)

This parameter defines, if during start-up also SERCOS drives should be installed.

A SERCOS card has to be installed.

TwinCAT: SERCOS parameters have no effect!

Variable name | Type | Valid range | Dimension
sercos_hochlauf | SGN16 | 0 oder 1 | ----


Number of SERCOS rings (P-STUP-00003)

This parameter defines the number of SERCOS rings in the system.

Variable name | Type | Valid range | Dimension
sercos_ring_anzahl | UNS16 | 0 or 1 | ----


SERCOS baud rate (P-STUP-00004)

This parameter defines the baud rate, which the SERCOS driver has to use.

Variable name | Type | Valid range | Dimension
serc_baudrate[m][n] | ISG_CHAR | m = 0 ... [SERC_MAX_RING-1] n = 0 .... [ASCII_LISTEN_VAR-1] String: 2MBAUD / 4MBAUD | ----

Constant | Value | Significance
SERC_MAX_RING | application-specific | Maximum number of SERCOS rings
ASCII_LISTEN_VAR | application-specific | Maximum length of external file names


SERCOS time slot calculation (P-STUP-00005)

Option for the selection of a SERCOS time slot calculation mode.

Variable name | Type | Valid range | Dimension
mds_time_slots | SGN16 | 0  internal calculation 1  Entering of predefined values of axis / device lists | ----


SERCOS-AT time slot calculation (P-STUP-00006)

Option for the selection of a AT time slot calculation mode.

Variable name | Type | Valid range | Dimension
at_tslot_type | UNS08 | String: STANDARD or OPTION1 | ----


SERCOS master light intensity (P-STUP-00039)

This parameter defines the light intensity of the transmitter diode of the SERCOS master hardware. Reducing this parameter can avoid an overshoot of the receiver diode of the next SERCOS device in the ring.

Variable name | Type | Valid range | Dimension
optical_intensity | UNS16 | 1 (low) - 6 (high, default) | ----


Selected topology (P-STUP-00007)

This structure element is used for selecting a topology description (configuration) of the NC kernel.

The selected configuration must be contained in the code as a binary file.

Variable name | Type | Valid range | Dimension
konfiguration | UNS08 | String: EIN_KANAL_KONFIGURIERUNG ACHT_KANAL_KONFIGURIERUNG | ----

TwinCAT: Automatic entry!


List type (P-STUP-00008)

This structure element is used for defining whether start-up shall be performed via binary lists or via ASCII lists.

Variable name | Type | Valid range | Dimension
listen | UNS08 | String: ASCII BINAER | ----

TwinCAT: The entry should not be modified.


Name of the list file for the channel parameters (P-STUP-00009)

For each channel, this structure element is used for defining the name of the file that contains the channel parameters. This is a string of a maximum length of FILE_NAME_L_EXT characters.

Variable name | Type | Valid range | Dimension
sda_mds[i] | UNS08 | String | ----
i | UNS16 | 0 ... [KANAL_ANZ_RND - 1] | ----

Constant | Value | Meaning
KANAL_ANZ_RND | Application-related | Maximum number of channels

TwinCAT: Automatic entry!

More:

button Name of the list file for the default channel parameters (P-STUP-00034)


Name of the list file for the default channel parameters (P-STUP-00034)

This structure element is used in a channel global way for defining the name of the file that contains the channel parameters which have default values assigned. This is a string of a maximum length of FILE_NAME_L_EXT characters.

Variable name | Type | Valid range | Dimension
default_sda_mds | UNS08 | String | ----


Name of the list file for the tool data (P-STUP-00010)

For each channel, this structure element is used for defining the name of the file that contains the tool data. This is a string of a maximum length of FILE_NAME_L_EXT characters.

Variable name | Type | Valid range | Dimension
werkz_data[i] | UNS08 | String | ----
i | UNS16 | 0 ... [KANAL_ANZ_RND - 1] | ----

Constant | Value | Meaning
KANAL_ANZ_RND | Application-related | Maximum number of channels

TwinCAT: Automatic entry!


Name of the list file for the zero point data (P-STUP-00011)

For each channel, this structure element is used for defining the name of the file that contains the zero point data. This is a string of a maximum length of FILE_NAME_L_EXT characters.

Variable name | Type | Valid range | Dimension
nullp_data[i] | UNS08 | String | ----
i | UNS16 | 0 ... [KANAL_ANZ_RND - 1] | ----

Constant | Value | Meaning
KANAL_ANZ_RND | Application-related | Maximum number of channels

TwinCAT: Automatic entry!


Name of the list files for the clamp position offset data (P-STUP-00012)

For each channel, this structure element is used for defining the name of the file that contains the clamp position offset data. This is a string of a maximum length of FILE_NAME_L_EXT characters.

Variable name | Type | Valid range | Dimension
pzv_data[i] | UNS08 | String | ----
i | UNS16 | 0 ... [KANAL_ANZ_RND - 1] | ----

Constant | Value | Meaning
KANAL_ANZ_RND | Application-related | Maximum number of channels

TwinCAT: Automatic entry!


Name of the list file for the manual operation parameters (P-STUP-00013)

This structure element is used in a channel global way for defining the name of the file that contains the manual operation parameters. This is a string of a maximum length of FILE_NAME_L_EXT characters.

Variable name | Type | Valid range | Dimension
hand_mds | UNS08 | String | ----

TwinCAT: Automatic entry!


Number of axis machine data records (P-STUP-00014)

This structure element is used for determining the number of the axis data records that are to be interpreted, and thus the number of axes that exist in the system.

Variable name | Type | Valid range | Dimension
zahl_mds | SGN16 | 1 ... 32 | ----

TwinCAT: Automatic entry!


Name of the list file for the axis parameters (P-STUP-00015)

This structure element is used in a channel global way for defining the names of the axis parameter data files. These are strings of a maximum length of FILE_NAME_L_EXT characters.

The number of axis parameter data files must correspond to the number of axis parameter data records. Any files that exceed the quantity specified as "zahl_mds" will not be taken into account. The system tries to open unknown files which results in error messages being issued and the controller start-up being aborted.

Variable name | Type | Valid range | Dimension
achs_mds[i] | UNS08 | String | ----
i | UNS16 | 0 ... [SYS_AXMAX - 1] | ----

Constant | Value | Meaning
SYS_AXMAX | Application-related | Maximum number of axes in the system

TwinCAT: Automatic entry!

More:

button Name of the list file for the default axis parameters (P-STUP-00035)


Name of the list file for the default axis parameters (P-STUP-00035)

This structure element is used in a channel global way for defining the name of the file that contains the axis parameters which have default values assigned. This is a string of a maximum length of FILE_NAME_L_EXT characters.

Variable name | Type | Valid range | Dimension
default_achs_mds | UNS08 | String | ----

TwinCAT: Automatic entry!


Number of offset value lists (P-STUP-00016)

This structure element is used for determining the number of offset value lists that are to be interpreted.

The number of offset value lists must not be greater than the number of axes. There may be an offset value list for each axis.

Variable name | Type | Valid range | Dimension
zahl_kw | SGN16 | 1 ... 32 | ----

TwinCAT: Automatic entry!


Name of the list files for the offset values (P-STUP-00017)

This structure element is used in a channel global way for defining the names of the offset value files. This is a string of a maximum length of FILE_NAME_L_EXT characters.

The number of offset value lists "zahl_kw" must correspond to the number of list files. Any files that exceed the quantity specified as "zahl_mds" will not be taken into account. The system tries to open unknown files which results in error messages being issued and the controller start-up being aborted.

Variable name | Type | Valid range | Dimension
achs_kw[i] | UNS08 | String | ----
i | UNS16 | 0 ... [SYS_AXMAX - 1] | ----

Constant | Value | Meaning
SYS_AXMAX | Application-related | Maximum number of axes in the system

TwinCAT: Automatic entry!

More:

button Axis allocation of the offset value list (P-STUP-00036)


Axis allocation of the offset value list (P-STUP-00036)

The logic axis number is used in a channel global way for defining the allocations between axes and offset value lists.

Variable name | Type | Valid range | Dimension
achs_kw_log_ax_nr[i] | UNS16 | 1 ... MAX(UNS16) | ----
i | UNS16 | 0 ... [SYS_AXMAX - 1] | ----

Constant | Value | Meaning
SYS_AXMAX | Application-related | Maximum number of axes in the system

TwinCAT: Automatic entry!


NC program paths (pfad[i].*)

For each channel, this structure element is used for defining the paths to the NC programs. The path string, the logic path number, the path type, and the priority must be specified for each program path.

Variable name | Type | Index | Dimension
pfad[i] | PFAD_DATEN | i = 0 ... [KANAL_ANZ_RND - 1] | ----

Constant | Value | Meaning
KANAL_ANZ_RND | Application-related | Maximum number of channels

More:

button Path specification (P-STUP-00018)

button Logic path number (P-STUP-00019)

button Path type (P-STUP-00020)

button Priority (P-STUP-00021)


Path specification (P-STUP-00018)

This element is used for defining the path to the NC programs. The CNC employs this path for opening an NC program. This is a string of a maximum length of FILE_NAME_L_EXT characters.

Variable name | Type | Valid range | Dimension
prg[j] | ISG_CHAR | String | ----
j | UNS16 | 0 ... [PRG_PFAD_MAX - 1] | ----

Constant | Number | Meaning
PRG_PFAD_MAX | Application-related | Maximum number of program paths in the system


Logic path number (P-STUP-00019)

This element is used for defining a logic path number for the program path. The logic path numbers must be unambiguous within the system.

Variable name | Type | Valid range | Dimension
log_nr[j] | UNS16 | 1 ... MAX(UNS16) | ----
j | UNS16 | 0 ... [PRG_PFAD_MAX - 1] | ----

Constant | Number | Meaning
PRG_PFAD_MAX | Application-related | Maximum number of program paths in the system


Path type (P-STUP-00020)

This element is used for defining the type of the program path in a bit-encoded style. Thus, a path specification may also be used for several path types.

Variable name | Type | Valid range | Dimension
typ[j] | UNS16 | 0x01 (Main program path) 0x02 (Sub program path) 0x04 (Path for #MSG SAVE) Combinations: 0x03 (Main + sub program path) 0x05 (Main program path + path for #MSG SAVE) 0x06 (Sub program path + path for #MSG SAVE) 0x07 (Main + Sub program path + path for #MSG SAVE) | ----
j | UNS16 | 0 ... [PRG_PFAD_MAX - 1]

Constant | Number | Meaning
PRG_PFAD_MAX | Application-related | Maximum number of program paths in the system


Priority (P-STUP-00021)

This element is used for defining the priority of the program path. The priority determines the sequence in which the directories of the corresponding path types are searched for the NC program file. The highest priority level is 0. If a priority is not specified for a given path, that path will be initialized with the priority 0. An error message is issued if the same priority is specified for a program path of the same path type.

Variable name | Type | Index | Dimension
prioritaet[j] | UNS16 | 0 ... MAX(UNS16) | ----
j | UNS16 | 0 ... [PRG_PFAD_MAX - 1]

Constant | Number | Meaning
PRG_PFAD_MAX | Application-related | Maximum number of program paths in the system


HMI objects (hmi[i].*)

More:

button Name of the list file (P-STUP-00024)

button Mode of the list file (P-STUP-00025)


Name of the list file (P-STUP-00024)

This structure element defines the channel global name of the HMI object list. This is a string of a maximum length of FILE_NAME_L_EXT characters.

Variable name | Type | Index | Dimension
objects | UNS08 | String | ----

TwinCAT: Automatic entry!


Mode of the list file (P-STUP-00025)

This structure element is used for defining the mode for loading the HMI object list. This is a string of a maximum length of NAME_SIZE characters.

Variable name | Type | Index | Dimension
mode | UNS08 | String: write The existing list is only read write+ The list is first created, then read default The internal default list is used. No list is created externally. | ----

TwinCAT: Automatic entry!


Parameters for the BF channel (channel[i].*)

More:

button Name of the list file (P-STUP-00026)

button Mode of the list file (P-STUP-00027)


Name of the list file (P-STUP-00026)

This structure element is used for defining the channel global name of the BF Channel object list. This is a string of a maximum length of FILE_NAME_L_EXT characters.

Variable name | Type | Index | Dimension
objects | UNS08 | String | ----

TwinCAT: Automatic entry!


Mode of the list file (P-STUP-00027)

This structure element is used for defining the mode of loading the BF Channel object lists. This is a string of a maximum length of NAME_SIZE characters.

Variable name | Type | Index | Dimension
mode | UNS08 | String: write The existing list is only read write+ The list is first created, then read default The internal default list is used. No list is created externally. | ----

TwinCAT: Automatic entry!


PLC mode (P-STUP-00032)

This structure element is used for specifying whether the interface to the PLC (high-level interface) is to be used in debug / release mode.

Variable name | Type | Valid range | Dimension
plc_mode | UNS16 | 0 - PLC_TEST_MODE 1- PLC_RUN_MODE | ----

TwinCAT: Currently, only 0 is permitted!


Memory size for reversing (P-STUP-00033)

This parameter defines the memory size (in bytes) that is used for reversing in the path. During start-up, the NC checks whether the necessary minimum size is available. A warning is issued and the memory size is set to the necessary minimum value if this is not the case. The functionality Forward / backward on the path is not available if the memory size is set to 0. The maximum size is only limited by the resources of the PC.

Variable name | Type | Valid range | Dimension
fb_storage_size[i] | UNS32 | 0 ... MAX(UNS32) | Byte
i | UNS16 | 0 ... [KANAL_ANZ_RND - 1] | ----

Constant | Value | Meaning
KANAL_ANZ_RND | Application-related | Maximum number of channels


Memory size for external variables (P-STUP-00037)

This parameter is used for dimensioning the memory area for the external variables of each channel on the HLI. The global external variables use an own memory area of equal size. The here-defined value determines the number of 24-Byte-Blocks, of which each of the VE memory areas consists ([EXTV]).

Variable name | Type | Valid range | Dimension
ext_var_max | UNS16 | 0 ... MAX(UNS16) | ----

TwinCAT: Automatic entry!


Name of the list file for the external variables (P-STUP-00038)

For each channel, this structure element is used for defining the name of the file that contains the external variables. This is a string of a maximum length of FILE_NAME_L_EXT characters.

Variable name | Type | Valid range | Dimension
ext_var[i] | UNS08 | String | ----
i | UNS16 | 0 ... [KANAL_ANZ_RND - 1] | ----

Constant | Value | Meaning
KANAL_ANZ_RND | Application-related | Maximum number of channels

TwinCAT: Automatic entry!


Version identifier of visualization data (P-STUP-00039)

The parameter contour_visu_ifc_version changes the display data of the simulation (contour visualization s. [[FCT-C17]). In dependency of the selected setting more or less visualization data is generated.

Variable name | Type | Permissible range | Dimension
contour_visu_ifc_version | UNS32 | 0 .. 1 | ----

0 | Default setting
1 | From CNC-version V2.10.1032.08 or V2.10.1507.06 onwards: With contour_visu_ifc_version = 1, the file name of the actual NC-program is additionally transmitted to the default display data (version identifier 0).


Global / channel specific reporting of display data (P-STUP-00040)

This parameter defines, if the data is reported channel specific in an output-FIFO or for all channels together in one platform FIFO.

Variable name | Type | Valid range | Dimension
single_protocol_fifo | BOOLEAN | 0/1 | ----

0 | Channel specific FIFO output of visualization data.
1 | Common output of visualization data in one global FIFO.


Parameter for configuration (configuration.*)

More:

button Platform scaling (configuration.position_controller.*)

button Channel scaling (configuration.channel[i].*)

button Programming examples


Platform scaling (configuration.position_controller.*)

More:

button Function of the position controller (P-STUP-00041)


Function of the position controller (P-STUP-00041)

The structure element "configuration.position_controller.function" is used for scaling the functionality of position controller.

Variable name | Type | Valid range | Dimension
function | String | - not used at the moment - | ----


Channel scaling (configuration.channel[i].*)

With structure element "configuration.channel[i].*" for each channel functions for path preparation and interpolation can be defined.

Variable name | Type | Index | Dimension
configuration.channel[i].* | PFAD_DATEN | i = 0 ... [KANAL_ANZ_RND - 1] | ----

Constant | Value | Significance
KANAL_ANZ_RND | Application-related | Maximum number of channels

TwinCAT: available from build 1500

More:

button Path preparation (configuration.channel[i].path_preparation.*)

button Interpolation (configuration.channel[i].interpolation.*)


Path preparation (configuration.channel[i].path_preparation.*)

More:

button Definition of functionalities (P-STUP-00060)


Definition of functionalities (P-STUP-00060)

The parameter "configuration.channel[i].path_preparation. function" defines the specific functionalities of the path preparation. So specific functions for tests or for performance reasons can be enabled or disabled (by non-setting).

Variable name | Type | Valid range | Dimension
function | String | See the identifiers below. | ----

FCT_DEFAULT | The functions FCT_FFM | FCT_PRESEGMENTATION | FCT_SPLINE | FCT_POLY | FCT_CAX | FCT_CAX_TRACK | FCT_SEGMENTATION are available.
FCT_FFM | Free form surface mode, #HSC [OPMODE 1 CONTERR 0.01], #HSC [OPMODE 2]
FCT_PRESEGMENTATION | Linear pre segmentation in HSC mode
FCT_SPLINE | #HSC[], AKIMA, B-Spline, G150/G151
FCT_POLY | #CONTOUR MODE[], G61, G261/G260
FCT_CAX | C axis processing, spindle is embedded in NC channel
FCT_CAX_TRACK | #CAX TRACK, tracking operation of an axis corresponding to the contour angle
FCT_SEGMENTATION | For dynamic segmentation of path contour, e.g. if curvature of a polynomial segment is very different.
FCT_LIFT_UP | Automatic lifting/lowering of an axis ( Z[LIFT_START...] ). At the moment this functions is not included in the default function range (FCT_DEFAULT) and has to be enabled always additionally.


Interpolation (configuration.channel[i].interpolation.*)

More:

button Size of look-ahead buffer (P-STUP-00070)

button User defined size of look-ahead buffer (P-STUP-00071)


Size of look-ahead buffer (P-STUP-00070)

The parameter "configuration.channel[i].interpolation.function" defines the size of the look-ahead buffer in interpolator, i.e. it defines the number of blocks for the calculation of decceleration distance and dynamic planning.

Variable name | Type | Valid range | Dimension
function | String | FCT_LOOK_AHEAD_LOW, FCT_LOOK_AHEAD_STANDARD, FCT_LOOK_AHEAD_HIGH, FCT_LOOK_AHEAD_CUSTOM | ----

FCT_LOOK_AHEAD_LOW | 30 blocks
FCT_LOOK_AHEAD_STANDARD | 70 blocks
FCT_LOOK_AHEAD_HIGH | 120 blocks
FCT_LOOK_AHEAD_CUSTOM | User defined number of look-ahead blocks within range [ 0; 200 ]. Definition by parameter P-STUP-00071 .


User defined size of look-ahead buffer (P-STUP-00071)

The parameter "configuration.channel[i].interpolation.parameter" is used for the user defined definition of look-ahead buffer size.

Variable name | Type | Valid range | Dimension
parameter | UNS32 | [ 0; 2^32] = [0 ; 4294967296] |


Programming examples

:

# ****************************************

#

configuration.channel[0].path_preparation.function FCT_DEFAULT

#configuration.channel[0].path_preparation.function FCT_FFM | FCT_PRESEGMENTATION | FCT_SPLINE | FCT_POLY | FCT_CAX | FCT_CAX_TRACK | FCT_SEGMENTATION

# configuration.channel[0].path_preparation.function FCT_SPLINE

# configuration.channel[0].path_preparation.function FCT_POLY

#

# look ahead blocks [35;120] : low = 35, standard = 70, high = 120

# FCT_LOOK_AHEAD_LOW, _STANDARD, _HIGH, _CUSTOM

#

configuration.channel[0].interpolator.function FCT_LOOK_AHEAD_CUSTOM

configuration.channel[0].interpolator.parameter 95 # look ahead blocks

# configuration.channel[0].interpolator.function FCT_LOOK_AHEAD_STANDARD

#

# configuration.position_controller.function FCT_SPLINE


Example of a Start-Up Data ASCII File

Configuration with 2 channels and 6 axes:

# ********************************************************************************

# ********************************************************************************

konfiguration ZWEI_KANAL_KONFIGURIERUNG

kanal_anzahl 2

ext_var_max 200

plc_mode 0

sercos_hochlauf 1

listen ASCII

#

# ********************************************************************************

# Lists of the 1st channel

# ********************************************************************************

default_sda_mds ..\listen\default_sda.lis

sda_mds[0] ..\listen\sda_mds1.lis

werkz_data[0] ..\listen\werkz_d1.lis

nullp_data[0] ..\listen\nullp_d1.lis

pzv_data[0] ..\listen\pzv_d1.lis

ve_var[0] ..\listen\ext_var1.lis

fb_storage_size[0] 0x200000

# ********************************************************************************

# Lists of the 2nd channel

# ********************************************************************************

sda_mds[1] ..\listen\sda_mds2.lis

werkz_data[1] ..\listen\werkz_d2.lis

nullp_data[1] ..\listen\nullp_d2.lis

pzv_data[1] ..\listen\pzv_d2.lis

ve_var[1] ..\listen\ext_var2.lis

fb_storage_size[1] 0x200000

# ********************************************************************************

# Channel-independent lists

# ********************************************************************************

hand_mds ..\listen\hand_mds.lis

hmi[0].objects ..\listen\objects1.lis

hmi[0].mode write+

hmi[1].objects ..\listen\objects2.lis

hmi[1].mode write+

channel[0].objects ..\listen\channel1.lis

channel[0].mode write+

channel[1].objects ..\listen\channel2.lis

hannel[1].mode write+

rtconf_lis ..\listen\rtconf.lis

konf_path ..\listen

#

# ********************************************************************************

# Axis machine data

# ********************************************************************************

zahl_mds 6

default_achs_mds ..\listen\default_mds.lis

achs_mds[0] ..\listen\achsmds1.lis

achs_mds[1] ..\listen\achsmds2.lis

achs_mds[2] ..\listen\achsmds3.lis

achs_mds[3] ..\listen\achsmds4.lis

achs_mds[4] ..\listen\achsmds5.lis

achs_mds[5] ..\listen\achsmds6.lis

#

# ********************************************************************************

# Offset value lists

# (hidden by comment characters)

# ********************************************************************************

# zahl_kw 4

# achs_kw[0] ..\listen\achskw1.lis

# achs_kw_log_ax_nr[0] 1

# achs_kw[1] ..\listen\achskw2.lis

# achs_kw_log_ax_nr[1] 2

# achs_kw[2] ..\listen\achskw3.lis

# achs_kw_log_ax_nr[2] 3

# achs_kw[3] ..\listen\achskw4.lis

# achs_kw_log_ax_nr[3] 4

#

# ********************************************************************************

# Program paths:

# ********************************************************************************

# pfad[ <channel_number> ].prg[ <Index> ]

# prg -> Program path specification

# log_nr -> Logic program path number

# typ -> Program path type ( 0x01 main program path )

# ( 0x02 sub program path )

# ( 0x03 main and sub program path )

# prioritaet -> Specification of the program path priority if several program

# paths of the same type are specified.

#

pfad[0].prg[0] v:\ref_test\nc_prg\init

pfad[0].log_nr[0] 1

pfad[0].typ[0] 0x03 # Main and sub program path

pfad[0].prioritaet[0] 1

#

pfad[0].prg[1] v:\ref_test\nc_prg\dec

pfad[0].log_nr[1] 2

pfad[0].typ[1] 0x03 # Main and sub program path

pfad[0].prioritaet[1] 2

#

pfad[0].prg[2] v:\ref_test\nc_prg\bavo

pfad[0].log_nr[2] 3

pfad[0].typ[2] 0x03 # Main and sub program path

pfad[0].prioritaet[2] 3

#

pfad[0].prg[3] ..\prg

pfad[0].log_nr[3] 4

pfad[0].typ[3] 0x01 # Main program path

pfad[0].prioritaet[3] 4

#

pfad[0].prg[4] ..\prg

pfad[0].log_nr[4] 5

pfad[0].typ[4] 0x02 # Sub program path

pfad[0].prioritaet[4] 5

#

Ende